Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares
Interface AresPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AresPackageImpl

    public interface AresPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `AresFactory`

Nested Class Summary
`static interface` | `AresPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CONSTRAINT_TEST` The meta object id for the '`Constraint Test`' class.
`static int` | `CONSTRAINT_TEST__ACTUAL_VALUE` The feature id for the 'Actual Value' attribute.
`static int` | `CONSTRAINT_TEST__CONSTRAINT` The feature id for the 'Constraint' reference.
`static int` | `CONSTRAINT_TEST__FAILURE` The feature id for the 'Failure' attribute.
`static int` | `CONSTRAINT_TEST__ISSUE` The feature id for the 'Issue' attribute.
`static int` | `CONSTRAINT_TEST_FEATURE_COUNT` The number of structural features of the 'Constraint Test' class.
`static AresPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `ISSUE` The meta object id for the '`Issue`' enum.
`static int` | `RESULT_TYPE` The meta object id for the '`Result Type`' enum.
`static int` | `RUN` The meta object id for the '`Run`' class.
`static int` | `RUN__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` | `RUN__FINISHED` The feature id for the 'Finished' attribute.
`static int` | `RUN__MODEL` The feature id for the 'Model' reference.
`static int` | `RUN__PARAMETERIZATION` The feature id for the 'Parameterization' reference.
`static int` | `RUN__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `RUN__RESULT` The feature id for the 'Result' attribute.
`static int` | `RUN__RESULTS` The feature id for the 'Results' containment reference list.
`static int` | `RUN__STARTED` The feature id for the 'Started' attribute.
`static int` | `RUN__TEST` The feature id for the 'Test' reference.
`static int` | `RUN_FEATURE_COUNT` The number of structural features of the 'Run' class.
`static int` | `RUN_SET` The meta object id for the '`Run Set`' class.
`static int` | `RUN_SET__FINISHED` The feature id for the 'Finished' attribute.
`static int` | `RUN_SET__RESULT` The feature id for the 'Result' attribute.
`static int` | `RUN_SET__RUNS` The feature id for the 'Runs' containment reference list.
`static int` | `RUN_SET__STARTED` The feature id for the 'Started' attribute.
`static int` | `RUN_SET_FEATURE_COUNT` The number of structural features of the 'Run Set' class.

Method Summary
`AresFactory` | `getAresFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getConstraintTest_ActualValue()` Returns the meta object for the attribute '`Actual Value`'.
`org.eclipse.emf.ecore.EReference` | `getConstraintTest_Constraint()` Returns the meta object for the reference '`Constraint`'.
`org.eclipse.emf.ecore.EAttribute` | `getConstraintTest_Failure()` Returns the meta object for the attribute '`Failure`'.
`org.eclipse.emf.ecore.EAttribute` | `getConstraintTest_Issue()` Returns the meta object for the attribute '`Issue`'.
`org.eclipse.emf.ecore.EClass` | `getConstraintTest()` Returns the meta object for class '`Constraint Test`'.
`org.eclipse.emf.ecore.EEnum` | `getIssue()` Returns the meta object for enum '`Issue`'.
`org.eclipse.emf.ecore.EEnum` | `getResultType()` Returns the meta object for enum '`Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Constraints()` Returns the meta object for the containment reference list '`Constraints`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Finished()` Returns the meta object for the attribute '`Finished`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Model()` Returns the meta object for the reference '`Model`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Parameterization()` Returns the meta object for the reference '`Parameterization`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Result()` Returns the meta object for the attribute '`Result`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Results()` Returns the meta object for the containment reference list '`Results`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Started()` Returns the meta object for the attribute '`Started`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Test()` Returns the meta object for the reference '`Test`'.
`org.eclipse.emf.ecore.EClass` | `getRun()` Returns the meta object for class '`Run`'.
`org.eclipse.emf.ecore.EAttribute` | `getRunSet_Finished()` Returns the meta object for the attribute '`Finished`'.
`org.eclipse.emf.ecore.EAttribute` | `getRunSet_Result()` Returns the meta object for the attribute '`Result`'.
`org.eclipse.emf.ecore.EReference` | `getRunSet_Runs()` Returns the meta object for the containment reference list '`Runs`'.
`org.eclipse.emf.ecore.EAttribute` | `getRunSet_Started()` Returns the meta object for the attribute '`Started`'.
`org.eclipse.emf.ecore.EClass` | `getRunSet()` Returns the meta object for class '`Run Set`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final AresPackage eINSTANCE

  The singleton instance of the package.

### RUN

    static final int RUN

  The meta object id for the '`Run`' class.

  See Also:
    `RunImpl`, `AresPackageImpl.getRun()`, Constant Field Values

### RUN__MODEL

    static final int RUN__MODEL

  The feature id for the 'Model' reference.

  See Also:
    Constant Field Values

### RUN__TEST

    static final int RUN__TEST

  The feature id for the 'Test' reference.

  See Also:
    Constant Field Values

### RUN__PARAMETERIZATION

    static final int RUN__PARAMETERIZATION

  The feature id for the 'Parameterization' reference.

  See Also:
    Constant Field Values

### RUN__RESULT

    static final int RUN__RESULT

  The feature id for the 'Result' attribute.

  See Also:
    Constant Field Values

### RUN__PARAMETERS

    static final int RUN__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### RUN__CONSTRAINTS

    static final int RUN__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### RUN__STARTED

    static final int RUN__STARTED

  The feature id for the 'Started' attribute.

  See Also:
    Constant Field Values

### RUN__FINISHED

    static final int RUN__FINISHED

  The feature id for the 'Finished' attribute.

  See Also:
    Constant Field Values

### RUN__RESULTS

    static final int RUN__RESULTS

  The feature id for the 'Results' containment reference list.

  See Also:
    Constant Field Values

### RUN_FEATURE_COUNT

    static final int RUN_FEATURE_COUNT

  The number of structural features of the 'Run' class.

  See Also:
    Constant Field Values

### CONSTRAINT_TEST

    static final int CONSTRAINT_TEST

  The meta object id for the '`Constraint Test`' class.

  See Also:
    `ConstraintTestImpl`, `AresPackageImpl.getConstraintTest()`, Constant Field Values

### CONSTRAINT_TEST__CONSTRAINT

    static final int CONSTRAINT_TEST__CONSTRAINT

  The feature id for the 'Constraint' reference.

  See Also:
    Constant Field Values

### CONSTRAINT_TEST__ISSUE

    static final int CONSTRAINT_TEST__ISSUE

  The feature id for the 'Issue' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_TEST__ACTUAL_VALUE

    static final int CONSTRAINT_TEST__ACTUAL_VALUE

  The feature id for the 'Actual Value' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_TEST__FAILURE

    static final int CONSTRAINT_TEST__FAILURE

  The feature id for the 'Failure' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_TEST_FEATURE_COUNT

    static final int CONSTRAINT_TEST_FEATURE_COUNT

  The number of structural features of the 'Constraint Test' class.

  See Also:
    Constant Field Values

### RUN_SET

    static final int RUN_SET

  The meta object id for the '`Run Set`' class.

  See Also:
    `RunSetImpl`, `AresPackageImpl.getRunSet()`, Constant Field Values

### RUN_SET__RESULT

    static final int RUN_SET__RESULT

  The feature id for the 'Result' attribute.

  See Also:
    Constant Field Values

### RUN_SET__STARTED

    static final int RUN_SET__STARTED

  The feature id for the 'Started' attribute.

  See Also:
    Constant Field Values

### RUN_SET__FINISHED

    static final int RUN_SET__FINISHED

  The feature id for the 'Finished' attribute.

  See Also:
    Constant Field Values

### RUN_SET__RUNS

    static final int RUN_SET__RUNS

  The feature id for the 'Runs' containment reference list.

  See Also:
    Constant Field Values

### RUN_SET_FEATURE_COUNT

    static final int RUN_SET_FEATURE_COUNT

  The number of structural features of the 'Run Set' class.

  See Also:
    Constant Field Values

### RESULT_TYPE

    static final int RESULT_TYPE

  The meta object id for the '`Result Type`' enum.

  See Also:
    `ResultType`, `AresPackageImpl.getResultType()`, Constant Field Values

### ISSUE

    static final int ISSUE

  The meta object id for the '`Issue`' enum.

  See Also:
    `Issue`, `AresPackageImpl.getIssue()`, Constant Field Values

Method Detail

### getRun

    org.eclipse.emf.ecore.EClass getRun()

  Returns the meta object for class '`Run`'.

  Returns:
    the meta object for class 'Run'.
  See Also:
    `Run`

### getRun_Model

    org.eclipse.emf.ecore.EReference getRun_Model()

  Returns the meta object for the reference '`Model`'.

  Returns:
    the meta object for the reference 'Model'.
  See Also:
    `Run.getModel()`, `getRun()`

### getRun_Test

    org.eclipse.emf.ecore.EReference getRun_Test()

  Returns the meta object for the reference '`Test`'.

  Returns:
    the meta object for the reference 'Test'.
  See Also:
    `Run.getTest()`, `getRun()`

### getRun_Parameterization

    org.eclipse.emf.ecore.EReference getRun_Parameterization()

  Returns the meta object for the reference '`Parameterization`'.

  Returns:
    the meta object for the reference 'Parameterization'.
  See Also:
    `Run.getParameterization()`, `getRun()`

### getRun_Result

    org.eclipse.emf.ecore.EAttribute getRun_Result()

  Returns the meta object for the attribute '`Result`'.

  Returns:
    the meta object for the attribute 'Result'.
  See Also:
    `Run.getResult()`, `getRun()`

### getRun_Parameters

    org.eclipse.emf.ecore.EReference getRun_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Run.getParameters()`, `getRun()`

### getRun_Constraints

    org.eclipse.emf.ecore.EReference getRun_Constraints()

  Returns the meta object for the containment reference list '`Constraints`'.

  Returns:
    the meta object for the containment reference list 'Constraints'.
  See Also:
    `Run.getConstraints()`, `getRun()`

### getRun_Started

    org.eclipse.emf.ecore.EAttribute getRun_Started()

  Returns the meta object for the attribute '`Started`'.

  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `Run.getStarted()`, `getRun()`

### getRun_Finished

    org.eclipse.emf.ecore.EAttribute getRun_Finished()

  Returns the meta object for the attribute '`Finished`'.

  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `Run.getFinished()`, `getRun()`

### getRun_Results

    org.eclipse.emf.ecore.EReference getRun_Results()

  Returns the meta object for the containment reference list '`Results`'.

  Returns:
    the meta object for the containment reference list 'Results'.
  See Also:
    `Run.getResults()`, `getRun()`

### getConstraintTest

    org.eclipse.emf.ecore.EClass getConstraintTest()

  Returns the meta object for class '`Constraint Test`'.

  Returns:
    the meta object for class 'Constraint Test'.
  See Also:
    `ConstraintTest`

### getConstraintTest_Constraint

    org.eclipse.emf.ecore.EReference getConstraintTest_Constraint()

  Returns the meta object for the reference '`Constraint`'.

  Returns:
    the meta object for the reference 'Constraint'.
  See Also:
    `ConstraintTest.getConstraint()`, `getConstraintTest()`

### getConstraintTest_Issue

    org.eclipse.emf.ecore.EAttribute getConstraintTest_Issue()

  Returns the meta object for the attribute '`Issue`'.

  Returns:
    the meta object for the attribute 'Issue'.
  See Also:
    `ConstraintTest.getIssue()`, `getConstraintTest()`

### getConstraintTest_ActualValue

    org.eclipse.emf.ecore.EAttribute getConstraintTest_ActualValue()

  Returns the meta object for the attribute '`Actual Value`'.

  Returns:
    the meta object for the attribute 'Actual Value'.
  See Also:
    `ConstraintTest.getActualValue()`, `getConstraintTest()`

### getConstraintTest_Failure

    org.eclipse.emf.ecore.EAttribute getConstraintTest_Failure()

  Returns the meta object for the attribute '`Failure`'.

  Returns:
    the meta object for the attribute 'Failure'.
  See Also:
    `ConstraintTest.isFailure()`, `getConstraintTest()`

### getRunSet

    org.eclipse.emf.ecore.EClass getRunSet()

  Returns the meta object for class '`Run Set`'.

  Returns:
    the meta object for class 'Run Set'.
  See Also:
    `RunSet`

### getRunSet_Result

    org.eclipse.emf.ecore.EAttribute getRunSet_Result()

  Returns the meta object for the attribute '`Result`'.

  Returns:
    the meta object for the attribute 'Result'.
  See Also:
    `RunSet.getResult()`, `getRunSet()`

### getRunSet_Started

    org.eclipse.emf.ecore.EAttribute getRunSet_Started()

  Returns the meta object for the attribute '`Started`'.

  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `RunSet.getStarted()`, `getRunSet()`

### getRunSet_Finished

    org.eclipse.emf.ecore.EAttribute getRunSet_Finished()

  Returns the meta object for the attribute '`Finished`'.

  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `RunSet.getFinished()`, `getRunSet()`

### getRunSet_Runs

    org.eclipse.emf.ecore.EReference getRunSet_Runs()

  Returns the meta object for the containment reference list '`Runs`'.

  Returns:
    the meta object for the containment reference list 'Runs'.
  See Also:
    `RunSet.getRuns()`, `getRunSet()`

### getResultType

    org.eclipse.emf.ecore.EEnum getResultType()

  Returns the meta object for enum '`Result Type`'.

  Returns:
    the meta object for enum 'Result Type'.
  See Also:
    `ResultType`

### getIssue

    org.eclipse.emf.ecore.EEnum getIssue()

  Returns the meta object for enum '`Issue`'.

  Returns:
    the meta object for enum 'Issue'.
  See Also:
    `Issue`

### getAresFactory

    AresFactory getAresFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD